Subject: Re: [PATCH net] net: rtnetlink: prevent underflows in do_setvfinfo()

From: Dan Carpenter <[email-masked]>
Date: Wed, 20 Nov 2019 21:07:35 +0300

On Wed, Nov 20, 2019 at 09:41:01AM -0700, David Ahern wrote:
> On 11/20/19 5:34 AM, Dan Carpenter wrote:
> > I reported this bug to the linux-rdma mailing list in April and this
> > patch wasn't considered very elegant.  I can see how that's true.  The
> > developer offered to write a fix which would update all the drivers to
> > use u32 throughout.  I reminded him in September that this bug still
> > needs to be fixed.
> 
> Since the uapi (ifla_vf_mac, ifla_vf_vlan, ...) all have u32, I agree
> with that comment -- it seems like the ndo functions should be changed
> from 'int vf' to 'u32 vf'.

It's a lot of changes and there is no way to be sure the static checker
isn't missing any bugs.

regards,
dan carpenter